

encodeLine = (event) ->
  json = JSON.stringify event
  data = new Buffer json, 'utf-8'
  data.toString('base64') + "\n"


decodeLine = (line) ->
  if typeof line != 'string'
    line = line.toString()
  base64 = line.trim()
  if base64.length == 0
    throw new Error "line is blank"
  data = new Buffer base64, 'base64'
  JSON.parse data.toString()



module.exports =
  encodeLine: encodeLine
  decodeLine: decodeLine
