

char* base64_encode(const unsigned char *data, int data_length);
unsigned char* base64_decode(const char *base64, int *result_length);

int base64_length_for_data_length(int data_length);
int num_base64_padding_chars_for_data_length(int data_length);
int data_length_for_base64(const char *base64);
void base64encode_block(const unsigned char *src, char *dest, int blockNum, int numPadingChars);
void base64decode_block(const char *src, unsigned char *dest, int blockNum, unsigned char *ALPHABET64_TO_INDEX);

